#!/usr/bin/env python
# Ubuntu CI Engine
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os

from setuptools import find_packages, setup

# ensure find_packages works if our current directory isn't this project
basedir = os.path.abspath(os.path.dirname(__file__))
os.chdir(basedir)
packages = find_packages(basedir)

import ci_utils

test_requires = [
    'restish==0.12.1',
    'amqplib==1.0.0',
    'mock==1.0.1',
    'python-jenkins==0.2.1',
    'WebTest==2.0.10',
]

setup(
    name='ci-utils',
    version=ci_utils.__version__,
    description='Common utilities for Ubuntu CI Engine',
    author='Andy Doan',
    author_email='andy.doan@ubuntu.com',
    license='AGPL',
    packages=packages,
    test_suite='ci_utils.tests',
    tests_require=test_requires,
)
