#!/bin/sh
# Ubuntu CI Engine
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set -e
venv=$(mktemp -d)
trap "echo cleaning up venv...; rm -rf $venv" EXIT
virtualenv $venv
. $venv/bin/activate

echo "== Testing ci-utils ...."
./ci-utils/setup.py develop
./ci-utils/setup.py test

SERVICES="branch-source-builder image-builder lander ppa-assigner ticket_system"

for x in $SERVICES ; do
	echo "== Testing $x ...."
	if [ -f $x/manage.py ] ; then
		# django projects don't use setuptools quite the same
		./$x/setup.py develop
	fi
	./$x/setup.py test
done
